Subject: bug#28587: 26.0.60; Don't write object name strings in object-write method

From: Eric Abrahamsen <[email-masked]>
Date: Wed, 08 Nov 2017 13:01:34 -0800

On 11/08/17 15:31 PM, Stefan Monnier wrote:
>> So where we're at now is, the previous chunk has gone into both master
>> and emacs-26.
>
> Yay!
>
>> The next patch (below) would only go into master, so as to
>> be more conservative about what's emitted. Everything defaults to
>> current behavior.
>
> Looks good, except for:
>
>> +  "When non-nil write the object name in `object-write'.
>> +Does not affect objects subclassing `eieio-named'.  Writing
>> +object names is deprecated as of Emacs 24.4; consider setting
>> +this to nil.")
>
> AFAIK names are deprecated in calls to EIEIO constructors since
> Emacs-25 (rather 24.4), and it's only since Emacs-26 that they are
> optional in "eieio-presistent" written representations.

Okay I see, I got a little confused there. I checked the emacs 25 branch
and it ignores an object name string (emacs 24 requires it), so maybe
the only important thing is to say:

"Note that prior to Emacs version 25 the object name is required."

How's that?